Debian Bug report logs - #648713
RM: libpodofo0.8.0 -- RoM; No longer needed.

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Didier Raboud <odyx@debian.org>

Date: Mon, 14 Nov 2011 12:36:02 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Oleksandr Moskalenko <malex@debian.org>:
Bug#648713; Package libpodofo0.8.0. (Mon, 14 Nov 2011 12:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
New Bug report received and forwarded. Copy sent to Oleksandr Moskalenko <malex@debian.org>. (Mon, 14 Nov 2011 12:36:33 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libpodofo0.8.0: Should libpodofo0.8.0 be ReMoved from Debian ?
Date: Mon, 14 Nov 2011 13:27:06 +0100
Package: libpodofo0.8.0
Version: 0.8.0+svn20100512-1.1
Severity: serious

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Dear libpodofo0.8.0 maintainers,

after having NMUed both libpodofo and libpodofo0.8.0 for the libjpeg
transition, I noticed that libpofodo0.8.0 was not getting built on some
architectures. After a short chat on #debian-buildd, it appeared that the
problem is that src:libpodofo0.8.0 builds libpodofo-dev, which is already
built by src:libpodofo.

Given that src:libpodofo0.8.0 has no reverse build-dependencies in both
testing and unstable and that all the packages now build against
src:libpodofo's -dev package, I think src:libpodofo0.8.0 should really get
removed from the archive.

Now, I propose to discuss this issue on that RC bugreport during _one_week_,
after which (depending on the held discussion) I will reassign this bug to
ftp.master.org as a removal.

Cheers,

OdyX

- -- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'unstable'), (500, 'testing'), (500, 'stable'), (150, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_CH.UTF-8, LC_CTYPE=fr_CH.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libpodofo0.8.0 depends on:
ii  libc6           2.13-21         
ii  libfontconfig1  2.8.0-3         
ii  libfreetype6    2.4.7-2         
ii  libgcc1         1:4.6.2-4       
ii  libjpeg62       6b1-2           
ii  libstdc++6      4.6.2-4         
ii  libtiff4        3.9.5-2         
ii  zlib1g          1:1.2.3.4.dfsg-3

libpodofo0.8.0 recommends no packages.

libpodofo0.8.0 suggests no packages.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQGcBAEBCAAGBQJOwQioAAoJEIvPpx7KFjRVrHoL/04yT2vSiLJEx3MWsKeyEn8x
0KQaI9j8jQ07m4SCVtt6ZKn+6/9/Ql2p5gDTnUr5yx6V2+tbnrAhGSCR8EJ7MSJU
hqTK6lPJupHKlWHyJBCriom9CWj3brQBm92jwNgPFHLcaaCFRayuk1y0N7LQaioq
X8WogGaTCGzqdm7M3lQucBCz1IOGRheRRAro7kaWCi36WYPOvyAgiQSpYrTJ2Bd+
7i5sQDouTi6+lmzZY1OCjBZOhmOfTtQ5QVmYgAsf7HNd3S9tOfnLxQTAQW4gB55P
OYnEKgCccJbPOS8T13PaBorD4Q2gPvq9CqNjFDp63FkV5qo6IW1OwnwQis8cIrk2
FsLtDxAetXJCHT8ouN/JWMhwwKAPo1d/AqVU2YGFjWRjVfstkihnWNoBgGY+txrI
FCqP6XqkkSL6pOzuBn+d9AxSYnJTZ3ll8ocwz7PL7Uo9A38bX3yw3kEOkxxB6Pui
jElORU8AWQ2eoTijIy2CQ4vheD3I6ZRMQvfOwBYmiw==
=9Gdl
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#648713; Package libpodofo0.8.0. (Wed, 16 Nov 2011 02:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oleksandr Moskalenko <malex@debian.org>:
Extra info received and forwarded to list. (Wed, 16 Nov 2011 02:18:03 GMT) Full text and rfc822 format available.

Message #10 received at 648713@bugs.debian.org (full text, mbox):

From: Oleksandr Moskalenko <malex@debian.org>
To: 648713@bugs.debian.org
Subject: Removal requested
Date: Tue, 15 Nov 2011 21:08:27 -0500
[Message part 1 (text/plain, inline)]
I agree with the reasons for this package's removal. I just made a ROM removal request.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Oleksandr Moskalenko <malex@debian.org>:
Bug#648713; Package libpodofo0.8.0. (Wed, 16 Nov 2011 10:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Oleksandr Moskalenko <malex@debian.org>. (Wed, 16 Nov 2011 10:00:06 GMT) Full text and rfc822 format available.

Message #15 received at 648713@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: Oleksandr Moskalenko <malex@debian.org>, 648713@bugs.debian.org
Cc: Debian FTP Master <ftpmaster@ftp-master.debian.org>
Subject: RM: libpodofo0.8.0 -- RoM; No longer needed
Date: Wed, 16 Nov 2011 10:57:49 +0100
[Message part 1 (text/plain, inline)]
notfound 648713 0.8.0+svn20100512-1.1
reassign 648713 ftp.debian.org
severity 648713 normal
retitle  648713 RM: libpodofo0.8.0 -- RoM; No longer needed.
thanks

Le mercredi, 16 novembre 2011 03.08:27, Oleksandr Moskalenko a écrit :
> I agree with the reasons for this package's removal. I just made a ROM
> removal request.

Okay. As I couldn't find it reported on the ftp.debian.org pseudo-package, 
let's reassign and rename this bugreport.

FTP-Masters: reasoning is there: http://bugs.debian.org/648713#5 and in short:

> src:libpodofo0.8.0 builds libpodofo-dev, which is already built by
> src:libpodofo. src:libpodofo0.8.0 has no reverse build-dependencies in both
> testing and unstable and all the packages now build against src:libpodofo's
> -dev package

Thanks to Oleksandr for the quick response!

Cheers,
-- 
OdyX
[signature.asc (application/pgp-signature, inline)]

Bug No longer marked as found in versions libpodofo0.8.0/0.8.0+svn20100512-1.1. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Wed, 16 Nov 2011 10:00:37 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libpodofo0.8.0' to 'ftp.debian.org'. Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Wed, 16 Nov 2011 10:00:38 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Wed, 16 Nov 2011 10:00:38 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: libpodofo0.8.0 -- RoM; No longer needed.' from 'libpodofo0.8.0: Should libpodofo0.8.0 be ReMoved from Debian ?' Request was from Didier Raboud <odyx@debian.org> to control@bugs.debian.org. (Wed, 16 Nov 2011 10:00:39 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Wed, 16 Nov 2011 21:33:23 GMT) Full text and rfc822 format available.

Notification sent to Didier Raboud <odyx@debian.org>:
Bug acknowledged by developer. (Wed, 16 Nov 2011 21:33:24 GMT) Full text and rfc822 format available.

Message #28 received at 648713-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 648713-close@bugs.debian.org
Cc: libpodofo0.8.0@packages.debian.org, libpodofo0.8.0@packages.qa.debian.org
Subject: Bug#648713: Removed package(s) from unstable
Date: Wed, 16 Nov 2011 21:30:10 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

libpodofo0.8.0 | 0.8.0+svn20100512-1 | source
libpodofo0.8.0 | 0.8.0+svn20100512-1+b1 | armel, i386, mips
libpodofo0.8.0 | 0.8.0+svn20100512-1.1 | source, amd64, hurd-i386, ia64, kfreebsd-amd64, kfreebsd-i386, mipsel, powerpc, s390, sparc

------------------- Reason -------------------
RoM; No longer needed.
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close Bugs which have been reported against this package
automatically.  But please check all old bugs, if they where closed
correctly or should have been re-assign to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 648713@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/648713

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 Dec 2011 07:33:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:16:48 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.